Package com.ngrok.services

# Class EventSources.ListCallBuilder

java.lang.Object
com.ngrok.services.EventSources.ListCallBuilder

Enclosing class:
  EventSources

public class EventSources.ListCallBuilder extends Object
A builder object encapsulating state for an unsent List API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventSourceList`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<EventSourceList>`
  `call()`
  Initiates the API call asynchronously.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### call

    public CompletionStage<EventSourceList> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `EventSourceList`

  - ### blockingCall

    public EventSourceList blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `EventSourceList`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call